/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/

/*********************************************************************

Include files

*********************************************************************/

#include "main.h"
#include "system.h"

/*
	Function:void InitInterrupts()
	
	Description: Initialize all interrupts.
*/
void InitInterrupts()
{
	//Initialize PPI1 (TX) Interrupt
    register_handler(ik_ivg8, PPI_TxIsr);		// assign ISR to interrupt vector
	*pSICA_IAR1 = Peripheral_IVG(12,8);			// assign interrupt channel 12 (DMA1_0) to IVG8
	*pSICA_IMASK0 |= SIC_MASK(12);
	ssync();
	
	//PPI0 RX also mapped to IVG8
	*pSICA_IAR1 |= Peripheral_IVG(11,8);			// assign interrupt channel 11 (DMA1_0) to IVG8
	*pSICA_IMASK0 |= SIC_MASK(11);
	ssync();
	
	*pILAT |= EVT_IVG8;							// clear pending IVG8 interrupts
	ssync();
	
	//Peripheral error handler
//	register_handler(ik_ivg7, PPI_ErrIsr);		// assign ISR to interrupt vector
//	*pSICA_IAR0 |= 0x0000;// assign interrupt PPI_err to IVG7
	
	*pILAT |= EVT_IVG7;							// clear pending IVG7 interrupts
	ssync();
	
	*pSICA_IMASK0 |= SIC_MASK(2);//enable PPI error interrupt
	*pSICA_IMASK0 |= SIC_MASK(1);
		
	*pSICA_IMASK0 |= SIC_MASK(4);
	*pSICA_IMASK0 |= SIC_MASK(5);
	ssync();
	
	//init MDMA interrupt
	register_handler(ik_ivg10, MDMA_Isr);	// assign ISR to interrupt vector
	*pSICA_IAR6 =0x33300000 ;	
	*pSICA_IAR7 =0x00030000;
	
	*pILAT |= EVT_IVG10;							// clear pending IVG10 interrupts
	ssync();
	
	*pSICA_IMASK1 |= SIC_MASK(21);				// MDMA_0
	*pSICA_IMASK1 |= SIC_MASK(22);				// MDMA_1
	*pSICA_IMASK1 |= SIC_MASK(23);				// MDMA_0
	*pSICA_IMASK1 |= SIC_MASK(24);				// MDMA_1
	ssync();
	
	//init sport interrupts
	register_handler(ik_ivg9, Sport_Isr);		// assign ISR to interrupt vector
	*pSICA_IAR2 = Peripheral_IVG(23,9);			
	*pSICA_IMASK0 |= SIC_MASK(23);
	ssync();
	
	*pSICA_IAR3 = Peripheral_IVG(26,9);			
	*pSICA_IMASK0 |= SIC_MASK(26);
	ssync();
	
	*pILAT |= EVT_IVG9;							// clear pending IVG9 interrupts
	ssync();
	
	//initialize timer interrupt as well
	*pEVT6 = CORE_TIMER;
	*pIMASK |= 0x0040;
}
